
Redmine - Feature #1070

Allow issue note edit (incl patch)

2008-04-16 20:20 - Carl Nygard

Status: Closed Start date: 2008-04-16

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 0.7   

Resolution: Fixed   

Description

If someone messes up the wiki-text of an issue comment, there's no way to edit the comment.  The patch adds capability to add (and

preview) notes in an issue.  The 'Edit' link appears on the right next to the note anchor if either of the following are true:

user has delete permission for issues

user is original author of individual comment

Edit form appear inline, along with Preview and Cancel links.

Patch is against 0.6.4 and includes possibly some cruft regarding note preview that may not be necessary when applying to 0.7

code.  Please examine patch and apply native intelligence.

Also, the patch tries to abstract the note editing stuff into the partial _note_form.rhtml, which is referenced in _history.rhtml. 

Unfortunately, I couldn't work out how it could be used in show.rhtml.  show.rhtml seems to operate on @issue, while

_note_form.rhtml expects @journal entries.

History

#1 - 2008-04-16 22:26 - Jean-Philippe Lang

I'm afraid this feature is already implemented in 0.7. See r1105 and r1152.

This is also mentioned in the Changelog:

Permissions to edit issue notes

 A specific permission was added. But preview is missing, I'll try to add it.

#2 - 2008-04-19 14:06 - Jean-Philippe Lang

- Category changed from UI to Issues

- Status changed from New to Closed

- Resolution set to Fixed

Files

redmine-note-edit.patch 8.13 KB 2008-04-16 Carl Nygard

_note_form.rhtml 589 Bytes 2008-04-16 Carl Nygard
